Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
08245 DIP/Input Minor Always Mar 7, 2022, 09:22 Apr 3, 2022, 21:51
Tester chaneman View Status Public Platform MAME (Official Binary)
Assigned To Steve Coomber Resolution Fixed OS Windows 10/11 (64-bit)
Status [?] Resolved Driver galaxian.cpp
Version 0.241 Fixed in Version 0.242 Build 64-bit
Fixed in Git Commit bf7319e Github Pull Request # #9384
Summary 08245: spacempr: Most are DIPS are mixed up.
Description Space Empire: Most DIPS are mixed up.

Cabinet: Is correct.
Service Mode: Is correct.
Coinage DIP = Bonus 4K, NONE, 5K, 7K
Bonus Life DIP = Seems to do nothing right now.
Lives DIP = Coinage - Right now 1 coin 1 credit / 2 coins 1 credit.
Unused DIP = Coinage - Right now it turns FREEPLAY on or off.
Steps To Reproduce Load and run game.
Put game in service mode with "F2" or Service DIP.
Change DIPS and observe changes on screen.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems spacempr
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.19876
Steve Coomber
Tester
Mar 8, 2022, 22:25
Issue confirmed as described. I plan to put a fix in for this tomorrow.
User avatar
No.19878
Steve Coomber
Tester
Mar 9, 2022, 11:36
I've just been looking at this and I have found that the Lives DIP / Unused DIP is for Coin_B settings (1C_1C / 2C_1C / 3C_1C / Freeplay) and the Bonus Life DIP is actually for Coin_A settings (1C_1C / 1C_2C / 1C_3C / 1C_6C). Example 1C_6C = 1 Coin 6 Credits. When using the service menu, the Coin_B settings are shown but the Coin A settings are not. In addition, there doesn't seem to be a way to change the default number of lives (3) as shown on the service menu.
User avatar
No.19880
Steve Coomber
Tester
Mar 9, 2022, 19:58
I found the lives DIP switch. It is using an unused joystick input! I am about to submit the PR that corrects the DIP switches